FROM docker-registry1.in.thelinuxpro.net:5000/tlp/tlp_jekyll:0.0.1

LABEL version="0.0.4"
LABEL image.author.name="Kameron Kenny"
LABEL image.author.email="kameron@localhost"
LABEL description="A Jekyll site for kameronkenny.com."

ARG LOCATION_JEKYLL="/usr/local/jekyll"

ENV GEM_HOME="/usr/local/gems"
ENV PATH="/usr/local/gems/bin:$PATH"
ENV SITE="kameronkenny.com"
ENV NGINX_CONF_D="$LOCATION_JEKYLL/nginx"

ENV DEBIAN_FRONTEND=noninteractive

RUN apt update && apt -y upgrade
RUN mkdir -p $LOCATION_JEKYLL/sites/$SITE

WORKDIR /usr/local/sbin
COPY ./entrypoint.sh .

WORKDIR $NGINX_CONF_D
COPY ./app/conf/nginx/nginx.conf .

WORKDIR $LOCATION_JEKYLL/sites/$SITE
COPY . .

RUN bundle install
RUN JEKYLL_ENV=production bundle exec jekyll build

ENTRYPOINT /usr/local/sbin/entrypoint.sh
